﻿using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.BindEmployees("");
        }
    }

    protected void OnUSA_Click(object sender, EventArgs e)
    {
        this.BindEmployees("USA");
    }

    protected void OnUK_Click(object sender, EventArgs e)
    {
        this.BindEmployees("UK");
    }

    private void BindEmployees(string country)
    {
        using (SqlConnection con = new SqlConnection(ConfigurationManager.ConnectionStrings["constr"].ConnectionString))
        {
            using (SqlCommand cmd = new SqlCommand("SELECT EmployeeID,(FirstName+' '+LastName) AS Name,City,Country FROM Employees WHERE Country=@Country", con))
            {
                cmd.CommandType = CommandType.Text;
                cmd.Parameters.AddWithValue("@Country", country);
                using (SqlDataAdapter sda = new SqlDataAdapter())
                {
                    sda.SelectCommand = cmd;
                    DataTable dt = new DataTable();
                    sda.Fill(dt);
                    this.gvEmployees.DataSource = dt;
                    this.gvEmployees.DataBind();
                }
            }
        }
    }
}